Subject: Re: Plz help regarding implemetation of NETCONF over SSH

From: Andy Bierman <[email-masked]>
Date: Thu, 07 Jun 2007 09:07:11 -0700

Shilpa Jayantilal Bharkhada wrote:
> Hi Andy,
> Sorry to bother you again on this.
> 
> Just wanted one more clarification for this if you could help.
> When ssh client is being used to create the subsystem as in "ssh -s
> ourserver.com -p 830 netconf" , I understand that the ssh client is directly
> connecting to the netconf subsystem agent which is starting at port 830.
> 

This ssh command should work (on linux at least).
Are you sure you properly configured the security on your server
to accept NETCONF connections on port 830? (Update /etc/services
and /etc/ssh/sshd_config for starters.)

> Is this the correct way for the client to connect to the netconf agent or
> client should always connect to port 22 i.e to sshd server (and not directly
> to 830) and ssh will take care of tunnelling the communication to the agent
> app at 830 ?
> 
> Kindly help to understand section 3 of the RFC 4742 from your previous
> implementation experience.I will highly appreciate this.
> Any help in this regards from others will also be appreciated.
> Regards,
> Shilpa
> 

Andy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>